alt.java.io

## Class FileImpl

- java.lang.Object
- - alt.java.io.FileImpl

All Implemented Interfaces:
  File

    public class FileImpl
    extends java.lang.Object
    implements File

### Constructor Summary

Constructors
Constructor and Description
`FileImpl(java.io.File file)`
`FileImpl(java.lang.String fileName)`

### Method Summary

Methods
`boolean` `canRead()`
`boolean` `canWrite()`
`int` `compareTo(File pathname)`
`int` `compareTo(java.lang.Object o)`
`boolean` `createNewFile()`
`File` `createTempFile(java.lang.String prefix, java.lang.String suffix)`
`File` `createTempFile(java.lang.String prefix, java.lang.String suffix, File directory)`
`boolean` `delete()`
`void` `deleteOnExit()`
`boolean` `exists()`
`File` `getAbsoluteFile()`
`java.lang.String` `getAbsolutePath()`
`File` `getCanonicalFile()`
`java.lang.String` `getCanonicalPath()`
`java.lang.String` `getName()`
`java.lang.String` `getParent()`
`File` `getParentFile()`
`java.lang.String` `getPath()`
`java.io.File` `getRealFile()`
`boolean` `isAbsolute()`
`boolean` `isDirectory()`
`boolean` `isFile()`
`boolean` `isHidden()`
`long` `lastModified()`
`long` `length()`
`java.lang.String[]` `list()`
`java.lang.String[]` `list(java.io.FilenameFilter filter)`
`File[]` `listFiles()`
`File[]` `listFiles(java.io.FileFilter filter)`
`File[]` `listFiles(java.io.FilenameFilter filter)`
`File[]` `listRoots()`
`boolean` `mkdir()`
`boolean` `mkdirs()`
`boolean` `renameTo(File dest)`
`boolean` `setLastModified(long time)`
`boolean` `setReadOnly()`
`java.net.URL` `toURL()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileImpl

    public FileImpl(java.io.File file)

#### FileImpl

    public FileImpl(java.lang.String fileName)

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `File`

#### getParent

    public java.lang.String getParent()

Specified by:
  `getParent` in interface `File`

#### getParentFile

    public File getParentFile()

Specified by:
  `getParentFile` in interface `File`

#### getPath

    public java.lang.String getPath()

Specified by:
  `getPath` in interface `File`

#### isAbsolute

    public boolean isAbsolute()

Specified by:
  `isAbsolute` in interface `File`

#### getAbsolutePath

    public java.lang.String getAbsolutePath()

Specified by:
  `getAbsolutePath` in interface `File`

#### getAbsoluteFile

    public File getAbsoluteFile()

Specified by:
  `getAbsoluteFile` in interface `File`

#### getCanonicalPath

    public java.lang.String getCanonicalPath()
                                      throws java.io.IOException

Specified by:
  `getCanonicalPath` in interface `File`
Throws:
  `java.io.IOException`

#### getCanonicalFile

    public File getCanonicalFile()
                          throws java.io.IOException

Specified by:
  `getCanonicalFile` in interface `File`
Throws:
  `java.io.IOException`

#### toURL

    public java.net.URL toURL()
                       throws java.net.MalformedURLException

Specified by:
  `toURL` in interface `File`
Throws:
  `java.net.MalformedURLException`

#### canRead

    public boolean canRead()

Specified by:
  `canRead` in interface `File`

#### canWrite

    public boolean canWrite()

Specified by:
  `canWrite` in interface `File`

#### exists

    public boolean exists()

Specified by:
  `exists` in interface `File`

#### isDirectory

    public boolean isDirectory()

Specified by:
  `isDirectory` in interface `File`

#### isFile

    public boolean isFile()

Specified by:
  `isFile` in interface `File`

#### isHidden

    public boolean isHidden()

Specified by:
  `isHidden` in interface `File`

#### lastModified

    public long lastModified()

Specified by:
  `lastModified` in interface `File`

#### length

    public long length()

Specified by:
  `length` in interface `File`

#### createNewFile

    public boolean createNewFile()
                          throws java.io.IOException

Specified by:
  `createNewFile` in interface `File`
Throws:
  `java.io.IOException`

#### delete

    public boolean delete()

Specified by:
  `delete` in interface `File`

#### deleteOnExit

    public void deleteOnExit()

Specified by:
  `deleteOnExit` in interface `File`

#### list

    public java.lang.String[] list()

Specified by:
  `list` in interface `File`

#### list

    public java.lang.String[] list(java.io.FilenameFilter filter)

Specified by:
  `list` in interface `File`

#### listFiles

    public File[] listFiles()

Specified by:
  `listFiles` in interface `File`

#### listFiles

    public File[] listFiles(java.io.FilenameFilter filter)

Specified by:
  `listFiles` in interface `File`

#### listFiles

    public File[] listFiles(java.io.FileFilter filter)

Specified by:
  `listFiles` in interface `File`

#### mkdir

    public boolean mkdir()

Specified by:
  `mkdir` in interface `File`

#### mkdirs

    public boolean mkdirs()

Specified by:
  `mkdirs` in interface `File`

#### createTempFile

    public File createTempFile(java.lang.String prefix,
                      java.lang.String suffix,
                      File directory)
                        throws java.io.IOException

Specified by:
  `createTempFile` in interface `File`
Throws:
  `java.io.IOException`

#### createTempFile

    public File createTempFile(java.lang.String prefix,
                      java.lang.String suffix)
                        throws java.io.IOException

Specified by:
  `createTempFile` in interface `File`
Throws:
  `java.io.IOException`

#### listRoots

    public File[] listRoots()

Specified by:
  `listRoots` in interface `File`

#### renameTo

    public boolean renameTo(File dest)

Specified by:
  `renameTo` in interface `File`

#### setLastModified

    public boolean setLastModified(long time)

Specified by:
  `setLastModified` in interface `File`

#### setReadOnly

    public boolean setReadOnly()

Specified by:
  `setReadOnly` in interface `File`

#### compareTo

    public int compareTo(File pathname)

Specified by:
  `compareTo` in interface `File`

#### compareTo

    public int compareTo(java.lang.Object o)

Specified by:
  `compareTo` in interface `File`

#### getRealFile

    public java.io.File getRealFile()

Specified by:
  `getRealFile` in interface `File`